Next: Colour PET, Previous: The PET diagnostic pin, Up: PET-specific commands and settings [Contents][Index]

#### 7.7.6 PET settings

#### 7.7.6.1 PET resources

`MachineVideoStandard`

  Integer that specifies the video standard of the emulated machine (1: PAL, 2: NTSC).

`CPUswitch`

  Integer specifying the status of the SuperPET CPU switch (0: 6502, 1: 6809, 2: Prog.)

#### 7.7.6.2 PET command line options

These are the commandline options specific for the PET models.

`-pal`

  Use PAL sync factor (`MachineVideoStandard=1`).

`-ntsc`

  Use NTSC sync factor (`MachineVideoStandard=2`).

`-model <model>`

  Specify the PET model you want to emulate (`Basic1`, `Basic1Chars`, `ChargenName`, `KernalName`, `BasicName`, `EditorName`, `RomModule9Name`, `RomModuleAName`, `RomModuleBName`, `H6809RomAName`, `H6809RomBName`, `H6809RomCName`, `H6809RomDName`, `H6809RomEName`, `H6809RomFName`). (2001, 3008, 3016, 3032, 3032B, 4016, 4032, 4032B, 8032, 8096, 8296, SuperPET)

`-iosize <size>`

  Specify size of I/O in Bytes (`IOSize`). (256, 2048)

`-ramsize <size>`

  Specify size of RAM in KiB (`RamSize`). (8, 16, 32, 96, 128)

`-videosize <size>`

  Specify video size (`VideoSize`). (0: Automatic from ROM, 40: 40 columns, 80: 80 columns)

`-petram9`
`+petram9`

  Switch on/off RAM mapping at address $9000-$9FFF (`Ram9=1`, `Ram9=0`).

`-petramA`
`+petramA`

  Switch on/off RAM mapping at address $A000-$AFFF (`RamA=1`, `RamA=0`).

`-superpet`
`+superpet`

  Enable/disable SuperPET I/O and CPU emulation (`SuperPET`).

`-cpu6502`

  Set SuperPET CPU switch to ’6502’ (`CPUswitch=0`).

`-cpu6809`

  Set SuperPET CPU switch to ’6809’ (`CPUswitch=1`).

`-cpuprog`

  Set SuperPET CPU switch to ’Prog’ (`CPUswitch=2`).

`-basic1`
`+basic1`

  Enable/disable patching the IEEE488 section of the PET2001 ROM when detected (`Basic1=1`, `Basic1=0`).

`-basic1char`
`+basic1char`

  Enable/disable PET 2001 character generator (`Basic1Chars=1`, `Basic1Chars=0`).

`-eoiblank`
`+eoiblank`

  Enable/disable EOI blanking the screen (`EoiBlank=1`, `EoiBlank=0`).

`-diagpin`
`+diagpin`

  Enable/disable the diagnostic pin at the PET userport (`DiagPin=1`, `DiagPin=0`).

Next: Colour PET, Previous: The PET diagnostic pin, Up: PET-specific commands and settings [Contents][Index]